(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     17512,        404]
NotebookOptionsPosition[     17645,        385]
NotebookOutlinePosition[     18248,        410]
CellTagsIndexPosition[     18205,        407]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "\:30d9\:30af\:30c8\:30eb\:65b9\:7a0b\:5f0f\:3000\n\:70b9A(",
 Cell[BoxData[
  FormBox[
   OverscriptBox["a", "\[RightVector]"], TraditionalForm]]],
 ")\:3092\:901a\:308a",
 Cell[BoxData[
  FormBox[
   OverscriptBox[
    RowBox[{"d", "\[IndentingNewLine]"}], "\[RightVector]"], 
   TraditionalForm]]],
 "\:306b\:5e73\:884c\:306a\:76f4\:7dda\:3092 g \:ff0cg \:4e0a\:306e\:4efb\
\:610f\:306e\:70b9\:3092 P(",
 Cell[BoxData[
  FormBox[
   OverscriptBox["p", "\[RightVector]"], TraditionalForm]]],
 ") \:3068\:3059\:308b"
}], "Subtitle", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 1, $CellContext`r3$$ = 
    1, $CellContext`r4$$ = 1, $CellContext`r5$$ = 
    0, $CellContext`t$$ = -1, $CellContext`t1$$ = -0.97, $CellContext`x$$ = \
{-6, -5}, $CellContext`y$$ = {-7, 3}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1, 2}}, {{
       Hold[$CellContext`r3$$], 1, "\:76f4\:7dda"}, {0, 1, 2}}, {{
       Hold[$CellContext`r4$$], 1, "t \:9023\:7d9a"}, {0, 1}}, {{
       Hold[$CellContext`r5$$], 0, "\:5ea7\:6a19"}, {0, 1}}, {{
       Hold[$CellContext`t$$], -1, "t"}, {-1, 0, 1, 2, 3, 4}}, {
      Hold[$CellContext`t1$$], -1, 3}, {{
       Hold[$CellContext`x$$], {-6, -5}}, Automatic}, {{
       Hold[$CellContext`y$$], {-7, 3}}, Automatic}}, Typeset`size$$ = {
    518., {193., 196.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r1$6934$$ = 
    0, $CellContext`r3$6935$$ = 0, $CellContext`r4$6936$$ = 
    False, $CellContext`r5$6937$$ = False, $CellContext`t$6938$$ = 
    0, $CellContext`t1$6939$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r3$$ = 
        1, $CellContext`r4$$ = 1, $CellContext`r5$$ = 
        0, $CellContext`t$$ = -1, $CellContext`t1$$ = -1, $CellContext`x$$ = \
{-6, -5}, $CellContext`y$$ = {-7, 3}}, "ControllerVariables" :> {
        Hold[$CellContext`r1$$, $CellContext`r1$6934$$, 0], 
        Hold[$CellContext`r3$$, $CellContext`r3$6935$$, 0], 
        Hold[$CellContext`r4$$, $CellContext`r4$6936$$, False], 
        Hold[$CellContext`r5$$, $CellContext`r5$6937$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$6938$$, 0], 
        Hold[$CellContext`t1$$, $CellContext`t1$6939$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {
          PointSize[Large], 
          Point[{-4, 2}]}, {Green, 
          Arrow[{$CellContext`y$$, $CellContext`y$$ + {3, 1}}], 
          Text[
           Style[
           "\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)", 
            Large], $CellContext`y$$ + {1.5, 1.5}]}, 
         Text[
          Style[
          "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))", Large], {-4, 
           2} + {0, 0.5}], 
         If[$CellContext`r1$$ >= 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large],
              Dot[{-4, 2} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{-4, 2} - $CellContext`x$$] + ($CellContext`x$$ + {-4, 2})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {-4, 2}}]}, 
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}, 
           If[$CellContext`r4$$ == 0, {
             Text[
              Style[
              "P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))", 
               Large], {-4, 2} + {0, 0.5} + $CellContext`t$$ {3, 1}], {
              PointSize[Large], 
              Point[{-4, 2} + $CellContext`t$$ {3, 1}]}, {Red, 
              Text[
               
               Style[$CellContext`t$$ OverVector[$CellContext`d], 
                Large], {-4, 2.5} + $CellContext`t$$ ({3, 1}/2)]}, {Red, 
              Arrow[{{-4, 2}, {-4, 2} + $CellContext`t$$ {3, 1}}]}, 
             Text[
              Style[
              "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) =" 
                OverVector[$CellContext`a] + $CellContext`t$$ 
                OverVector[$CellContext`d], Large], {6, -4}]}, {
             Text[
              Style[
              "P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))", 
               Large], {-4, 2} + {0, 0.5} + $CellContext`t1$$ {3, 1}], {
              PointSize[Large], 
              Point[{-4, 2} + $CellContext`t1$$ {3, 1}]}, {Red, 
              Text[
               Style[
               "t\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)", 
                Large], {-4, 2.5} + $CellContext`t1$$ ({3, 1}/2)]}, {Red, 
              Arrow[{{-4, 2}, {-4, 2} + $CellContext`t1$$ {3, 1}}]}, 
             Text[
              Style[
              "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)", Large], {6, -4}]}]}], 
         If[$CellContext`r3$$ == 1, {Pink, Dashed, 
           Line[{{-10, 0}, {8, 6}}]}, 
          If[$CellContext`r3$$ == 2, {Blue, 
            Line[{{-10, 0}, {8, 6}}]}]], 
         If[$CellContext`r4$$ == 0, {
           Text[
            Style[
            "P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))", 
             Large], {-4, 2} + {0, 0.5} + $CellContext`t$$ {3, 1}], {
            PointSize[Large], 
            Point[{-4, 2} + $CellContext`t$$ {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} - {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} + {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} + 2 {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} + 3 {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} + 4 {3, 1}]}}, {
           Text[
            Style[
            "P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))", 
             Large], {-4, 2} + {0, 0.5} + $CellContext`t1$$ {3, 1}], {
            PointSize[Large], 
            Point[{-4, 2} + $CellContext`t1$$ {3, 1}]}, 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)", Large], {6, -4}]}], 
         If[$CellContext`r1$$ == 2, 
          If[$CellContext`r4$$ == 0, {Blue, 
            Arrow[{$CellContext`x$$, {-4, 2} + $CellContext`t$$ {3, 1}}]}, {
           Blue, 
            Arrow[{$CellContext`x$$, {-4, 2} + $CellContext`t1$$ {3, 1}}]}]]}, 
        If[$CellContext`r5$$ == 1, {
         AspectRatio -> Automatic, Axes -> True, AxesStyle -> Blue, GridLines -> {
            Range[-10, 10, 1], 
            Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-8, 8}, {-6, 6}}}, PlotRange -> {{-8, 8}, {-6, 6}}], 
        ImageSize -> Large, LabelStyle -> (FontSize -> 17)], 
      "Specifications" :> {{{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 1, 
         2}}, {{$CellContext`r3$$, 1, "\:76f4\:7dda"}, {0, 1, 
         2}}, {{$CellContext`r4$$, 1, "t \:9023\:7d9a"}, {0, 
         1}}, {{$CellContext`r5$$, 0, "\:5ea7\:6a19"}, {0, 
         1}}, {{$CellContext`t$$, -1, "t"}, {-1, 0, 1, 2, 3, 
         4}}, {$CellContext`t1$$, -1, 3}, {{$CellContext`x$$, {-6, -5}}, 
         Automatic, ControlType -> Locator}, {{$CellContext`y$$, {-7, 3}}, 
         Automatic, ControlType -> Locator}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{801., {214., 221.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"],

Cell[BoxData["\[AliasDelimiter]"], "Input", "PluginEmbeddedContent"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "\:76f4\:7dda\:306e\:5a92\:4ecb\:5909\:6570\:8868\:793a\n\:70b9A(-4, 2) \
\:3092\:901a\:308a",
 Cell[BoxData[
  FormBox[
   OverscriptBox["d", "\[RightVector]"], TraditionalForm]]],
 "=(3, 1) \:306b\:5e73\:884c\:306a\:76f4\:7dda g \:4e0a\:306e\:4efb\:610f\
\:306e\:70b9\:3092 P(x, y)\:3068\:3059\:308b "
}], "Subtitle", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 1, $CellContext`r3$$ = 
    0, $CellContext`r4$$ = 
    0, $CellContext`t$$ = -1, $CellContext`t1$$ = -1, $CellContext`x$$ = {0, 
    0}, $CellContext`y$$ = {-7, 3}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1, 2}}, {{
       Hold[$CellContext`r3$$], 0, "\:76f4\:7dda"}, {0, 1, 2}}, {{
       Hold[$CellContext`r4$$], 0, "t \:9023\:7d9a"}, {0, 1}}, {{
       Hold[$CellContext`t$$], -1, "t"}, {-1, 0, 1, 2, 3, 4}}, {
      Hold[$CellContext`t1$$], -1, 3}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`y$$], {-7, 3}}, Automatic}}, Typeset`size$$ = {
    518., {201., 204.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r1$1095$$ = 
    0, $CellContext`r3$1096$$ = 0, $CellContext`r4$1097$$ = 
    False, $CellContext`t$1098$$ = 0, $CellContext`t1$1099$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r3$$ = 
        0, $CellContext`r4$$ = 
        0, $CellContext`t$$ = -1, $CellContext`t1$$ = -1, $CellContext`x$$ = {
         0, 0}, $CellContext`y$$ = {-7, 3}}, "ControllerVariables" :> {
        Hold[$CellContext`r1$$, $CellContext`r1$1095$$, 0], 
        Hold[$CellContext`r3$$, $CellContext`r3$1096$$, 0], 
        Hold[$CellContext`r4$$, $CellContext`r4$1097$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$1098$$, 0], 
        Hold[$CellContext`t1$$, $CellContext`t1$1099$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {
          PointSize[Large], 
          Point[{-4, 2}]}, {Green, 
          Arrow[{$CellContext`y$$, $CellContext`y$$ + {3, 1}}], 
          Text[
           Style[
           "\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)", 
            Large], $CellContext`y$$ + {1.5, 1.5}]}, 
         Text[
          Style["A(-4,2)", Large], {-4, 2} + {0, 0.5}], 
         If[$CellContext`r1$$ >= 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large],
              Dot[{-4, 2} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{-4, 2} - $CellContext`x$$] + ($CellContext`x$$ + {-4, 2})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {-4, 2}}]}, 
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}, 
           If[$CellContext`r4$$ == 0, {
             Text[
              Style[
              "P(x,y)", Large], {-4, 2} + {
               0, 0.5} + $CellContext`t$$ {3, 1}], {
              PointSize[Large], 
              Point[{-4, 2} + $CellContext`t$$ {3, 1}]}, {Red, 
              Text[
               
               Style[$CellContext`t$$ OverVector[$CellContext`d], 
                Large], {-4, 2.5} + $CellContext`t$$ ({3, 1}/2)]}, {Red, 
              Arrow[{{-4, 2}, {-4, 2} + $CellContext`t$$ {3, 1}}]}, 
             Text[
              Style[
              "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) =" 
                OverVector[$CellContext`a] + $CellContext`t$$ 
                OverVector[$CellContext`d], Large], {6, -4}]}, {
             Text[
              Style[
              "P(x,y)", Large], {-4, 2} + {
               0, 0.5} + $CellContext`t1$$ {3, 1}], {
              PointSize[Large], 
              Point[{-4, 2} + $CellContext`t1$$ {3, 1}]}, {Red, 
              Text[
               Style[
               "t\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)", 
                Large], {-4, 2.5} + $CellContext`t1$$ ({3, 1}/2)]}, {Red, 
              Arrow[{{-4, 2}, {-4, 2} + $CellContext`t1$$ {3, 1}}]}, 
             Text[
              Style[
              "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)", Large], {6, -4}]}]}], 
         If[$CellContext`r3$$ == 1, {Pink, Dashed, 
           Line[{{-10, 0}, {8, 6}}]}, 
          If[$CellContext`r3$$ == 2, {Blue, 
            Line[{{-10, 0}, {8, 6}}]}]], 
         If[$CellContext`r4$$ == 0, {
           Text[
            Style[
            "P(x,y)", Large], {-4, 2} + {0, 0.5} + $CellContext`t$$ {3, 1}], {
            PointSize[Large], 
            Point[{-4, 2} + $CellContext`t$$ {3, 1}]}}, {
           Text[
            Style[
            "P(x,y)", Large], {-4, 2} + {0, 0.5} + $CellContext`t1$$ {3, 1}], {
            PointSize[Large], 
            Point[{-4, 2} + $CellContext`t1$$ {3, 1}]}, 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)", Large], {6, -4}]}], 
         If[$CellContext`r1$$ == 2, 
          If[$CellContext`r4$$ == 0, {Blue, 
            Arrow[{$CellContext`x$$, {-4, 2} + $CellContext`t$$ {3, 1}}]}, {
           Blue, 
            
            Arrow[{$CellContext`x$$, {-4, 
               2} + $CellContext`t1$$ {3, 1}}]}]]}, {
        AspectRatio -> Automatic, Axes -> True, AxesStyle -> Blue, GridLines -> {
           Range[-10, 10, 1], 
           Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
         PlotRange -> {{-8, 8}, {-6, 6}}}, PlotRange -> {{-8, 8}, {-6, 6}}, 
        ImageSize -> Large, LabelStyle -> (FontSize -> 17)], 
      "Specifications" :> {{{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 1, 
         2}}, {{$CellContext`r3$$, 0, "\:76f4\:7dda"}, {0, 1, 
         2}}, {{$CellContext`r4$$, 0, "t \:9023\:7d9a"}, {0, 
         1}}, {{$CellContext`t$$, -1, "t"}, {-1, 0, 1, 2, 3, 
         4}}, {$CellContext`t1$$, -1, 3}, {{$CellContext`x$$, {0, 0}}, 
         Automatic, ControlType -> Locator}, {{$CellContext`y$$, {-7, 3}}, 
         Automatic, ControlType -> Locator}}, 
      "Options" :> {FrameMargins -> 0, ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{801., {222., 229.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"],

Cell[BoxData["\[AliasDelimiter]"], "Input", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{853, 1062},
WindowMargins->{{248, Automatic}, {Automatic, 0}},
Visible->True,
AuthoredSize->{853, 1063},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification->0.8999999761581421,
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 611, 18, 70, "Subtitle"],
Cell[2100, 55, 7935, 162, 437, "Output"],
Cell[10038, 219, 68, 0, 16, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10143, 224, 397, 9, 70, "Subtitle"],
Cell[10543, 235, 7015, 145, 453, "Output"],
Cell[17561, 382, 68, 0, 16, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature HxTLXnqub02dfB1ytIn5cQw4 *)
